Skip to main content
GET
/
polymarket
/
market
/
position
/
metrics
Get position metrics
curl --request GET \
  --url https://api.struct.to/v1/polymarket/market/position/metrics
[
  {
    "position_id": "<string>",
    "condition_id": "<string>",
    "timeframe": "<string>",
    "volume_usd": 123,
    "buy_volume_usd": 123,
    "sell_volume_usd": 123,
    "fees": 123,
    "txns": 123,
    "buys": 123,
    "sells": 123,
    "unique_traders": 123,
    "price_open": 123,
    "price_high": 123,
    "price_low": 123,
    "price_close": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.struct.to/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

position_id
string
required

Position/token ID

timeframe
string
required

Timeframe: single (1m, 5m, 30m, 1h, 6h, 24h, 7d, 30d), comma-separated (1m,5m,1h), or 'all'

Response

Position metrics. Note: returns a single object for one timeframe, or an array of objects for comma-separated timeframes or 'all'.

position_id
string
required
condition_id
string
required
timeframe
string
required
volume_usd
number<double>
required
buy_volume_usd
number<double>
required
sell_volume_usd
number<double>
required
fees
number<double>
required
txns
integer<int32>
required
buys
integer<int32>
required
sells
integer<int32>
required
unique_traders
integer<int32>
required
price_open
number<double>
required
price_high
number<double>
required
price_low
number<double>
required
price_close
number<double>
required
Last modified on May 1, 2026